#ifndef XGFXPACKEDVERTEX_H
#define XGFXPACKEDVERTEX_H

#include "xasset.h"
#include "xgfxcolor.h"
#include "xpackedtexcoords.h"
#include "xpackedunitvec.h"

class XGfxPackedVertex : public XAsset
{
public:
    explicit XGfxPackedVertex();

    void ParseData(QDataStream *aStream) override;
    void Clear() override;

private:
    float mXYZ[3];
    float mBinormalSign;
    XGfxColor mColor;
    XPackedTexCoords mTexCoord;
    XPackedUnitVec mNormal;
    XPackedUnitVec mTangent;
};

#endif // XGFXPACKEDVERTEX_H








